% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Wire Extensometer Link
% DatiWireExtensometer contiene le medie per l'intervallo definito 
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_WEL,DatiWireExtensometer] = MediaDati_WEL(DatiWireExtensometer,TimeWEL,NdatiMedia,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_WEL function started';
fprintf(fileID,fmt,text);

[r,~]=size(DatiWireExtensometer);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_WEL = TimeWEL;

%% Dati
DatiWireExtensometer = smoothdata(DatiWireExtensometer,'gaussian',NdatiMedia);

text = 'Average values for Wire Extensometer Link processed. MediaDati_WEL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end